Bug 382151 - kdissert does not build
kdissert does not build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdissert (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 06:26 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 13:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-14 06:26:38 EST
Description of problem:

On today's rawhide:

sh: line 0: fg: no job control
Building target platforms: i686
Building for target i686
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.79375
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /usr/src/redhat/BUILD
+ rm -rf kdissert-1.0.7
+ /usr/bin/bzip2 -dc /usr/src/redhat/SOURCES/kdissert-1.0.7.tar.bz2
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd kdissert-1.0.7
+ export 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=generic
-fasynchronous-unwind-tables'
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=generic
-fasynchronous-unwind-tables'
+ export 'CXXFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=generic
-fasynchronous-unwind-tables'
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=generic
-fasynchronous-unwind-tables'
+ ./waf configure --prefix=/usr --execprefix=/usr --datadir=/usr/share
--libdir=/usr/lib --want-rpath=0
Checking for program cpp                : ^[[92mok /usr/bin/cpp^[[0m
Checking for program g++                : ^[[92mok /usr/bin/g++^[[0m
Checking for program ar                 : ^[[92mok /usr/bin/ar^[[0m
Checking for program ranlib             : ^[[92mok /usr/bin/ranlib^[[0m
Checking for kde-config                 : ^[[92mkde-config was found as
/usr/bin/kde-config^[[0m
Checking for kde version                : ^[[92m3.5.8-7.fc8^[[0m
Checking for the Qt library             : ^[[91mQt was not found^[[0m
^[[91m* Make sure libqt3-dev is installed^[[0m
^[[91m* Set QTDIR (for example, "export QTDIR=/usr/lib/qt3")^[[0m
^[[91m* Try "waf -h" for more options^[[0m
error: Bad exit status from /var/tmp/rpm-tmp.79375 (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.79375 (%prep)

Additional information:

You should not run configure from %prep, but from %build
Comment 1 Bug Zapper 2008-05-13 23:53:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.